#include<bits/stdc++.h>
using namespace std;
vector<long long>v(50001);
vector<long long>v2;
int main() {
cin.tie(NULL);
cout.tie(NULL);
long long n;
cin>>n;
for(long long i=0;i<n;i++){
    cin>>v[i];
}
for(long long i=1;i*i<=500001;i++){
    v2.push_back(i*i);
}
for(long long k=0;k<n;k++){
        label:
    for(long long i=0;i<v2.size();i++){
            label2:
        for(long long j=i;j<v2.size();j++){
            if(v2[i]+v2[j]==v[k]){
                cout<<1;
                k++;
                if(k==n){
                    return 0;
                }else{
                goto label;
                }
            }
            if(v2[i]+v2[j]>v[k]){
                i++;
                goto label2;
            }
        }
    }
    cout<<0;
}



return 0;
}

